Loading...
Searching...
No Matches
Environment Variables Used by sresolv Module

In addition to the standard RES_OPTIONS and LOCALDOMAIN environment variables, the SRES_OPTIONS and #SRESOLV_DEBUG variables are supported. More...

## Macros

#define | SU_DEBUG
| Environment variable determining the debug log level for sresolv module.

## Variables

| SRES_OPTIONS
| Environment variable containing options for Sofia resolver.
| RES_OPTIONS
| Environment variable containing resolver options.
| LOCALDOMAIN
| Environment variable containing search domain.

## Detailed Description

In addition to the standard RES_OPTIONS and LOCALDOMAIN environment variables, the SRES_OPTIONS and #SRESOLV_DEBUG variables are supported.

## Macro Definition Documentation

## SU_DEBUG

#define SU_DEBUG

Environment variable determining the debug log level for sresolv module.

The SRESOLV_DEBUG environment variable is used to determine the debug logging level for sresolv module. The default level is 3.

See also
  <sofia-sip/su_debug.h>, sresolv_log, SOFIA_DEBUG

## Variable Documentation

## LOCALDOMAIN

LOCALDOMAIN

extern

Environment variable containing search domain.

This environment variable is also used by standard BIND resolver.

See also
  Manual page for resolv.conf, RES_OPTIONS, SRES_OPTIONS.

## RES_OPTIONS

RES_OPTIONS

extern

Environment variable containing resolver options.

This environment variable is also used by standard BIND resolver.

See also
  Manual page for resolv.conf, SRES_OPTIONS.

## SRES_OPTIONS

SRES_OPTIONS

extern

Environment variable containing options for Sofia resolver.

The options recognized by Sofia resolver are as follows:

- debug turn on debugging (no effect)
- ndots:n when searching, try first to query name as absolute domain if it contains at least n dots
- timeout:secs timeout in seconds
- attempts:n fail after n retries
- rotate use round robin selection of nameservers
- no-check-names do not check names for invalid characters
- inet6 (no effect)
- ip6-dotint IPv6 addresses are resolved using suffix ".ip6.int" instead of the standard ".ip6.arpa" suffix
- ip6-bytestring (no effect) The following option is a Sofia-specific extension:
- no-edns0 do not try to use EDNS0 extension (RFC 2671)

The same options can be listed in options directive in resolv.conf, or in RES_OPTIONS environment variable. Note that options given in SRES_OPTIONS override those specified in RES_OPTIONS which in turn override options specified in the options directive of resolve.conf.

The meaning of an option can be reversed with prefix "no-".

See also
  Manual page for resolv.conf, RES_OPTIONS.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.